Description

The sidplayfp plugin does not play RSID files correctly, only silence.

Examples from HVSC:

MUSICIANS/M/Mitch_and_Dane/Dane/Break_the_Cycle.sid

MUSICIANS/M/Mitch_and_Dane/Dane/Live_Forever.sid

The attached patch fixes RSID playback for me. I suspect the same code in xs_sidplayfp_init() might now not be needed ?

History

#1 - July 31, 2013 20:53 - Michael Schwendt

Can't confirm. Both files play fine here, even without the Kernal/Basic ROM images installed.

$ rpm -qa audacious\* libsidplay\*|sort

audacious-3.4-1.fc19.x86_64

audacious-devel-3.4-1.fc19.x86_64

audacious-libs-3.4-1.fc19.x86_64

audacious-plugins-3.4-1.fc19.x86_64

audacious-plugins-exotic-3.4-1.fc19.x86_64

audacious-plugins-freeworld-aac-3.4-1.fc19.x86_64

audacious-plugins-freeworld-ffaudio-3.4-1.fc19.x86_64

audacious-plugins-freeworld-mms-3.4-1.fc19.x86_64

audacious-plugins-freeworld-mp3-3.4-1.fc19.x86_64

libsidplayfp-1.0.1-4.fc19.x86_64

#2 - July 31, 2013 21:40 - Matti Tiainen

Ok did some more testing. If I add all the Danes tunes to audacious playlist first time, the RSID tunes play fine. When I quit audacious and launch

again (with the previous playlist preloaded), the following RSID tunes only play silence:

Break_the_Cycle.sid

Digital_Music.sid

Live_Forever.sid

Round_and_Round.sid

However other RSID tunes still play fine (and the PSID tunes):

Crush.sid

Fever.sid

Removing and readding the tunes does not help, removing, quitting, relaunching and then readding does.

However I also noticed that updating the sid plugin binary helps as well, so the tunes play fine after next relaunch.
So seems like some obscure issue with my system perhaps :P I'm using libsidplayfp svn (from yesterday) and audacious 3.4 compiled from source

(OSX 10.8, clang).

But the patch is bogus, what helped for me was just the plugin binary update actually, it does not fix anything for me after all.

#3 - July 31, 2013 22:20 - Michael Schwendt

The described behaviour sounds like it could be an uninitialised value somewhere prior to the update you've done. (which may not be the only cause,

however)  I don't see any reason why quitting and relaunching Audacious should fail at playing the sids that have worked before.

#4 - July 31, 2013 23:16 - Matti Tiainen

There's something going wrong in the plugin initialization on my system I think.

Further debugging:

If I add another SID to the playlist first, the broken songs above play back fine afterwards (until next restart).

(Just playing a working SID already in the playlist at first does not help).

#5 - August 03, 2013 02:44 - John Lindgren

I can't reproduce this with libsidplayfp-1.0.3-2 on Arch Linux.

#6 - August 10, 2013 23:29 - John Lindgren

- Status changed from New to Rejected

Closing since neither Michael nor I could reproduce.  Let us know if you find out what is causing this problem.
